void readDisplayButtons()//reads button press under little displys and makes that list active
  {
if(once1 == 0){
     once1 = 1;
     //-initiate first list in display 1
     memcpy(currentPreset, settings[0], sizeof(currentPreset));////memmove(currentPreset,preset1, sizeof(preset1));  -------------------------------------------
}
     if (digitalRead (select1) == 0 && presetNum != 1) //
 {
  memcpy(currentPreset, settings[0], sizeof(currentPreset));
 presetNum = 1;  
/* led or display uncoment and coment the needed one. all the way down
 digitalWrite(l1, HIGH);
 digitalWrite(l2, LOW);
 digitalWrite(l3, LOW);
 digitalWrite(l4, LOW);
 digitalWrite(l5, LOW);
*/
  minidisplayfunctions();
  TCA9548A(1);
  display.clearDisplay();
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.setCursor(0,10);
  display.print(listNames[0]);
  display.invertDisplay(1);   
  display.display();

}//---
   if (digitalRead (select2) == 0 && presetNum != 2)
 {
  memcpy(currentPreset, settings[1], sizeof(currentPreset));
 presetNum = 2;  
/*
 digitalWrite(l1, LOW);
 digitalWrite(l2, HIGH);
 digitalWrite(l3, LOW);
 digitalWrite(l4, LOW);
 digitalWrite(l5, LOW);
*/
  minidisplayfunctions();
  TCA9548A(0);
  display.clearDisplay();
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.setCursor(0,10);
  display.print(listNames[1]);
  display.invertDisplay(1);
  display.display();  

 }//---
   if (digitalRead (select3) == 0 && presetNum != 3)
 {
  memcpy(currentPreset, settings[2], sizeof(currentPreset));
 presetNum = 3; 
/*move coment mark to display. for led use on all uccurences
 digitalWrite(l1, LOW);
 digitalWrite(l2, LOW);
 digitalWrite(l3, HIGH);
 digitalWrite(l4, LOW);
 digitalWrite(l5, LOW);
*/
  minidisplayfunctions();
  TCA9548A(3);
  display.clearDisplay();
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.setCursor(0,10);
  display.print(listNames[2]);
  display.invertDisplay(1);
  display.display();

}//---
   if (digitalRead (select4) == 0 && presetNum != 4)
 {
  memcpy(currentPreset, settings[3], sizeof(currentPreset));
 presetNum = 4; 
/*
 digitalWrite(l1, LOW);
 digitalWrite(l2, LOW);
 digitalWrite(l3, LOW);
 digitalWrite(l4, HIGH);
 digitalWrite(l5, LOW);
*/
   minidisplayfunctions();
  TCA9548A(6);
  display.clearDisplay();
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.setCursor(0,10);
  display.print(listNames[3]);
  display.invertDisplay(1);
  display.display();
 
}//---
   if (digitalRead (select5) == 0 && presetNum != 5)
 {
  memcpy(currentPreset, settings[4], sizeof(currentPreset));
 presetNum = 5; 
 /*
 digitalWrite(l1, LOW);
 digitalWrite(l2, LOW);
 digitalWrite(l3, LOW);
 digitalWrite(l4, LOW);
 digitalWrite(l5, HIGH);
*/
  minidisplayfunctions();
  TCA9548A(5);
  display.clearDisplay();
  display.setTextSize(3);
  display.setTextColor(WHITE);
  display.setCursor(0,10);
  display.print(listNames[4]);
  display.invertDisplay(1);
  display.display();
 
}//---
  }//end readDisplatButtons